
void _efl_net_server_ssl_ssl_context_set(Eo *obj, Efl_Net_Server_Ssl_Data *pd, Efl_Net_Ssl_Context *ssl_context);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_server_ssl_context_set, EFL_FUNC_CALL(ssl_context), Efl_Net_Ssl_Context *ssl_context);

Efl_Net_Ssl_Context *_efl_net_server_ssl_ssl_context_get(const Eo *obj, Efl_Net_Server_Ssl_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_server_ssl_context_get, Efl_Net_Ssl_Context *, NULL);

Efl_Object *_efl_net_server_ssl_efl_object_constructor(Eo *obj, Efl_Net_Server_Ssl_Data *pd);


void _efl_net_server_ssl_efl_object_invalidate(Eo *obj, Efl_Net_Server_Ssl_Data *pd);


void _efl_net_server_ssl_efl_object_destructor(Eo *obj, Efl_Net_Server_Ssl_Data *pd);


Eina_Bool _efl_net_server_ssl_efl_net_server_client_announce(Eo *obj, Efl_Net_Server_Ssl_Data *pd, Efl_Net_Socket *client);


void _efl_net_server_ssl_efl_net_server_fd_client_add(Eo *obj, Efl_Net_Server_Ssl_Data *pd, int client_fd);


static Eina_Bool
_efl_net_server_ssl_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_NET_SERVER_SSL_EXTRA_OPS
#define EFL_NET_SERVER_SSL_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_net_server_ssl_context_set, _efl_net_server_ssl_ssl_context_set),
      EFL_OBJECT_OP_FUNC(efl_net_server_ssl_context_get, _efl_net_server_ssl_ssl_context_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_net_server_ssl_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_net_server_ssl_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_net_server_ssl_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_net_server_client_announce, _efl_net_server_ssl_efl_net_server_client_announce),
      EFL_OBJECT_OP_FUNC(efl_net_server_fd_client_add, _efl_net_server_ssl_efl_net_server_fd_client_add),
      EFL_NET_SERVER_SSL_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_net_server_ssl_class_desc = {
   EO_VERSION,
   "Efl.Net.Server_Ssl",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Net_Server_Ssl_Data),
   _efl_net_server_ssl_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_net_server_ssl_class_get, &_efl_net_server_ssl_class_desc, EFL_NET_SERVER_TCP_CLASS, NULL);
